获取 KYC 状态
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"entityId": "5aced5da-40c1-4bec-85ff-c8cd1bcb4526",
"status": "IN_REVIEW",
"documentationStatus": "COMPLETE",
"statusReason": "Review started",
"documents": [
{
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"type": "CPF",
"status": "VERIFIED",
"proofs": [
{
"proofId": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"verificationStatus": "APPROVED"
}
]
},
{
"documentId": "e0ea9515-442e-4bc5-bc82-b8d278255c37",
"type": "PROOF_OF_ADDRESS",
"status": "VERIFIED",
"proofs": [
{
"proofId": "acb78b3f-fe18-4094-b6a9-2107f502d709",
"verificationStatus": "APPROVED"
}
]
}
]
}
实体
获取 KYC 状态
GET
/
api
/
entity
/
v1
/
entities
/
{entityId}
/
kyc-status
获取 KYC 状态
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/kyc-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"entityId": "5aced5da-40c1-4bec-85ff-c8cd1bcb4526",
"status": "IN_REVIEW",
"documentationStatus": "COMPLETE",
"statusReason": "Review started",
"documents": [
{
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"type": "CPF",
"status": "VERIFIED",
"proofs": [
{
"proofId": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"verificationStatus": "APPROVED"
}
]
},
{
"documentId": "e0ea9515-442e-4bc5-bc82-b8d278255c37",
"type": "PROOF_OF_ADDRESS",
"status": "VERIFIED",
"proofs": [
{
"proofId": "acb78b3f-fe18-4094-b6a9-2107f502d709",
"verificationStatus": "APPROVED"
}
]
}
]
}
返回审核状态的精简树:实体状态、文件覆盖情况、每份文件和每个有效证明的状态,以及上次状态更改的原因。使用它来跟进 Localpayment 执行的审核。
- 主示例截取自案例处于 IN_REVIEW 状态且两个文件均已获批准时;第二个示例截取自上传后不久,此时文件仍为 PENDING。
- documentationStatus: COMPLETE 表示每份文件都有对应的文件;这并不意味着文件已获批准。批准情况体现在 documents[].status = VERIFIED 和 proofs[].verificationStatus = APPROVED 中。
code 的 application/problem+json。完整目录:实体状态和错误代码。授权
请求头
响应
OK。
最后修改于 2026年11月10日

